# Uses of Enum
org.jboss.modules.AssertionSetting

Packages that use AssertionSetting
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of AssertionSetting in org.jboss.modules

Methods in org.jboss.modules that return AssertionSetting
Modifier and Type
Method
Description
`AssertionSetting`
ClassSpec.`getAssertionSetting()`
Get the class assertion setting.
`AssertionSetting`
PackageSpec.`getAssertionSetting()`
Get the package assertion setting.
`static AssertionSetting`
AssertionSetting.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AssertionSetting[]`
AssertionSetting.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.modules with parameters of type AssertionSetting
Modifier and Type
Method
Description
`ClassSpec`
ClassSpec.`setAssertionSetting(AssertionSetting assertionSetting)`
Set the class assertion setting.
`ModuleSpec.Builder`
ModuleSpec.Builder.`setAssertionSetting(AssertionSetting assertionSetting)`
Set the default assertion setting for this module.
`PackageSpec`
PackageSpec.`setAssertionSetting(AssertionSetting assertionSetting)`
Set the package assertion setting.
`void`
ClassSpec.`setAssertionSetting$$bridge(AssertionSetting assertionSetting)`
`void`
PackageSpec.`setAssertionSetting$$bridge(AssertionSetting assertionSetting)`